Approve Beneficiary
curl --request POST \
--url https://api.yapily.com/users/{userId}/beneficiaries/{beneficiaryId}/approve \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"match": {
"status": "FULL_MATCH"
},
"accountIdentifier": {
"type": "IBAN",
"identification": "GB33BUKB2020155555555"
}
}
'import requests
url = "https://api.yapily.com/users/{userId}/beneficiaries/{beneficiaryId}/approve"
payload = {
"name": "John Doe",
"match": { "status": "FULL_MATCH" },
"accountIdentifier": {
"type": "IBAN",
"identification": "GB33BUKB2020155555555"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Doe',
match: {status: 'FULL_MATCH'},
accountIdentifier: {type: 'IBAN', identification: 'GB33BUKB2020155555555'}
})
};
fetch('https://api.yapily.com/users/{userId}/beneficiaries/{beneficiaryId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "e7b7636d-a041-4013-8a1b-34dc85b7d341"
},
"data": {
"beneficiaryId": "a5cc1d07-dd0b-469f-8ebd-f580e8314efd",
"status": "VERIFIED",
"details": {
"name": "John Doe",
"match": {
"status": "FULL_MATCH"
},
"accountIdentifier": {
"type": "IBAN",
"identification": "GB33BUKB2020155555555"
}
}
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}User Beneficiaries
Approve Beneficiary
End-user has approved the beneficiary details
Approve Beneficiary
Learn more: Verification of Payee
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
The sub-application ID to which event type is being subscribed to
Path Parameters
Beneficiary Id
Example:
"e7b7636d-a041-4013-8a1b-34dc85b7d341"
Example:
"e7b7636d-a041-4013-8a1b-34dc85b7d341"
Body
application/json
Was this page helpful?
⌘I